Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 5900

Summary: netconfig dumps core
Product: [Retired] Red Hat Linux Reporter: e.mergl
Component: netcfgAssignee: Michael K. Johnson <johnsonm>
Status: CLOSED WORKSFORME QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 6.1   
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 1999-11-22 21:13:47 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description e.mergl 1999-10-12 21:56:24 UTC
After installation I started netconfig. I entered the
data as I did many times before in the same dialog for
RH6.0 on the same machine. Pressing OK results in:

     Segmentation Fault (core dumped).

Comment 1 Bill Nottingham 1999-10-12 22:03:59 UTC
netconfig, netconf, or netcfg?  I'm sure this is too confusing,
but there is a difference between the three.

Comment 2 Michael K. Johnson 1999-11-22 21:13:59 UTC
I'm closing this because we don't really know which tool you meant.  Please
feel free to reopen this with the information we requested.  Thanks.

Comment 3 Stephen J. Friedl 2000-02-20 21:25:59 UTC
Probably the same as bug 7945, a coredump in pump

Comment 4 apendleton 2000-03-07 20:15:59 UTC
/usr/sbin/netconfig core dumps with a Segmentation Fault in strcpy() when
determining the host and domain name.  While this program is NOT SUID root by
default it is executable by any user, and is owned by root, and I suppose
someone smarter than me could potentially exploit this to execute code by
overwriting the stack.  Without some sort of greater knowledge of how this
program works, I couldn't really say whether that's a true statement or not.

Comment 5 apendleton 2000-03-07 20:17:59 UTC
This sounds like the pump error.